Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: Repo Issue

  1. #11

    Default Re: Repo Issue

    Hi,

    So thats all ran, im not longer getting the errors, updates are showing as fully done.. Yast is now showing again

    Should this be back up and running now? Should i delete any of the repos if there not needed? open yast2 and deleted one of the google chrome repos (When i open app -> software i still get an error saying it cant download from the http://dl.google..... is that right)?

    THanks
    S

  2. #12

    Default Re: Repo Issue

    Well everything seems to be working, ive got everything i wanted installed. the only issue i have is that i cant get virtualbox installed. im following

    https://www.tecmint.com/install-virtualbox-in-opensuse/

    tried deleting the repo and adding it back again but i get errors:


    Code:
    sudo zypper install VirtualBox-6.0
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    'VirtualBox-6.0' not found in package names. Trying capabilities.
    No provider of 'VirtualBox-6.0' found.
    Resolving package dependencies...

  3. #13
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,130

    Default Re: Repo Issue

    A version number is seldom part of a package name.

    To find a package, it is most easy to use YaST > Software > Softwa Management. Entering the word "virtual" (without the ") in the search field and clicking Search will give you a list of package names with that string in the name. Easy to scroll through them. IMHO
    Code:
    virtualbox
    is the best candidate.
    Last edited by hcvv; 01-Sep-2019 at 12:32.
    Henk van Velden

  4. #14

    Default Re: Repo Issue

    Hi,

    Yes i tried that to, with one of the other tools i was trying to install i found in search then click accept and it installed it. When i do the same for virtualbox the Yast window closes straight away (no loading bar etc)..

  5. #15
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: Repo Issue

    No idea why YaST wouldn't do this, but ...
    Code:
    sudo zypper in virtualbox
    should work, or at least provide more details
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #16
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,130

    Default Re: Repo Issue

    Quote Originally Posted by Knurpht View Post
    No idea why YaST wouldn't do this, but ...
    Code:
    sudo zypper in virtualbox
    should work, or at least provide more details
    Of course it should. And I gave the correct name of the pcakage in my post. But I tried to coummunicate to the OP how you can find the correct name of a package when you only have a product/program name, but do not know how the package is called exactly (same, with or without upper/lower case charcters, etc.).
    Henk van Velden

  7. #17
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,273
    Blog Entries
    2

    Default Re: Repo Issue

    Quote Originally Posted by staggerlee011 View Post
    Well everything seems to be working, ive got everything i wanted installed. the only issue i have is that i cant get virtualbox installed. im following

    https://www.tecmint.com/install-virtualbox-in-opensuse/

    tried deleting the repo and adding it back again but i get errors:


    Code:
    sudo zypper install VirtualBox-6.0
    [sudo] password for root: 
    Loading repository data...
    Reading installed packages...
    'VirtualBox-6.0' not found in package names. Trying capabilities.
    No provider of 'VirtualBox-6.0' found.
    Resolving package dependencies...
    The Tecmint instructions are supposed to install Virtualbox from the Oracle website and I do not agree with those instructions because they are more complicated than it has to be.

    First,
    You should know that openSUSE pre-compiles and provides virtualbox packages that for the most part simply copies the necessary files to your system, avoiding a number of things that have to work without a problem on your machine. Downloading and installing from Oracle instead of openSUSE should still work, but many prefer to simply rely on what openSUSE provides instead... particularly on Tumbleweed

    If you want to install from openSUSE, Virtualbox 6.x will be installed by default, you simply run the following command if your OSS repository is enabled (and it should always be)
    Code:
    zypper in virtualbox
    If you wish instead to download from Oracle, then you should visit the Oracle download page (the following link), download and execute the Linux binary
    https://www.virtualbox.org/wiki/Downloads

    The Linux RPM instructions are generic, we in openSUSE have it much easier. Simply run the following in a console where your RPM is located, accepting any warnings
    Code:
    zypper in VirtualBox-6.0-6.0.10_132072_openSUSE150-1.x86_64.rpm
    HTH,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #18

    Default Re: Repo Issue

    Hi sorry for the long delay.. had the pleasure of a holiday.

    So ideally i would love to just use zypper.. Is there a good way to get search through all the different repos?

    I tried the suggestion and got this though :/

    Code:
    PackageKit is blocking zypper. This happens if you have an updater applet or
    other software management application using PackageKit running.
    We can ask PackageKit to interrupt the current action as soon as possible, but
    it depends on PackageKit how fast it will respond to this request.

  9. #19
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    975

    Default Re: Repo Issue

    Quote Originally Posted by staggerlee011 View Post
    Hi sorry for the long delay.. had the pleasure of a holiday.

    So ideally i would love to just use zypper.. Is there a good way to get search through all the different repos?

    I tried the suggestion and got this though :/

    Code:
    PackageKit is blocking zypper. This happens if you have an updater applet or
    other software management application using PackageKit running.
    We can ask PackageKit to interrupt the current action as soon as possible, but
    it depends on PackageKit how fast it will respond to this request.
    You may consider to delete updater applet by running 'zypper rm package-update-indicator'. Thus it will no more interfere with zypper.
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), openSUSE Tumbleweed, KDE Plasma 5

  10. #20
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,845
    Blog Entries
    14

    Default Re: Repo Issue

    Exactly what it says is happening: The updater applet is still checking the repos and hence blocks access to the package database, hence blocks zypper. Wait for the applet to finish, then retry the zypper command.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •